View Issue Details

IDProjectCategoryView StatusLast Update
0000589NoesisGUIUnity3Dpublic2019-02-19 10:43
ReporterelecmanAssigned Tojsantos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version2.2.0Fixed in Version2.2.0b6 
Summary0000589: Redraw render texture with API call instead of each frame
DescriptionCurrently a render texture is redrawn each frame, even if nothing changes. This is wasteful of resources, especially on mobile. It would be great if you can provide an API similar to Camera.Render() so it is possible to "freeze" rendering and only render when you know something has changed.
Steps To ReproduceN/A
TagsNo tags attached.
PlatformAny

Relationships

related to 0000740 closedjsantos No redraw region support 

Activities

jsantos

jsantos

2019-02-19 10:43

manager   ~0005446

We already implemented this. Now, by default, in 'RenderTexture' mode the property "Continous Rendering' is disabled.

Also, we are exposing a new method in NoesisView, NeedsRendering() that can be used in manually repainted cameras to do manual Camera.Render().

Thanks for your feedback!

Issue History

Date Modified Username Field Change
2015-02-26 14:27 elecman New Issue
2015-07-23 02:38 jsantos Category Unity Package => Unity3D
2015-10-29 11:26 sfernandez Relationship added related to 0000740
2015-10-29 11:26 sfernandez Assigned To => sfernandez
2015-10-29 11:26 sfernandez Status new => assigned
2018-11-01 02:14 jsantos View Status public => private
2018-11-22 21:25 sfernandez Assigned To sfernandez => jsantos
2019-02-16 23:56 jsantos Target Version => 2.2.0
2019-02-16 23:56 jsantos View Status private => public
2019-02-16 23:56 jsantos Platform => Any
2019-02-19 10:43 jsantos Status assigned => resolved
2019-02-19 10:43 jsantos Resolution open => fixed
2019-02-19 10:43 jsantos Fixed in Version => 2.2.0b6
2019-02-19 10:43 jsantos Note Added: 0005446